WordPress.org

Support

Support » Installation » PHP errors Wp-admin and Wp-includes on upgrade

PHP errors Wp-admin and Wp-includes on upgrade

  • Hi all, I’ve been using WP since September and just a couple of hours ago, I upgraded from 1.5 to 2.0 – now I’ve got this error when I try to view my blog:

    Fatal error: Call to undefined function: is_user_logged_in() in /home/alvinyvo/public_html/wp-includes/classes.php on line 1566

    When I try to log in, I get this error:

    Warning: main(/home/alvinyvo/public_html/wp-includes/registration-functions.php): failed to open stream: No such file or directory in /home/alvinyvo/public_html/wp-admin/admin.php on line 12

    Fatal error: main(): Failed opening required ‘/home/alvinyvo/public_html/wp-includes/registration-functions.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/alvinyvo/public_html/wp-admin/admin.php on line 12

    1. I didn’t erase the old WP files, I just overwrote them
    2. I didn’t back up my index.php – I didn’t back up anything, just overwrote them
    3. I am using Tiger-plugin for the interface

    Should I delete Wp-admin and Wp-includes folders and just upload again and should it be binary or ASCII?

    Could anyone please help me to work around this? I’m tempted to re-install but use my old Database (can I do that?) but I don’t want to make it worse than it is.

    Thanks

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘PHP errors Wp-admin and Wp-includes on upgrade’ is closed to new replies.